summaryrefslogtreecommitdiff
path: root/bootstrap
diff options
context:
space:
mode:
authorSebastian <sebasjm@gmail.com>2021-02-18 09:46:02 -0300
committerSebastian <sebasjm@gmail.com>2021-02-18 09:46:02 -0300
commit87619712cd85272ab905d5714d5e6aedd2cb8156 (patch)
treeb60511a6593f8fe47c534f1667dbe33249c226f5 /bootstrap
parentf688008107b76d7809d56d1598aeb3355c1d13ac (diff)
downloadmerchant-backoffice-87619712cd85272ab905d5714d5e6aedd2cb8156.tar.gz
merchant-backoffice-87619712cd85272ab905d5714d5e6aedd2cb8156.tar.bz2
merchant-backoffice-87619712cd85272ab905d5714d5e6aedd2cb8156.zip
implemented pnpm
Diffstat (limited to 'bootstrap')
-rwxr-xr-xbootstrap18
1 files changed, 18 insertions, 0 deletions
diff --git a/bootstrap b/bootstrap
new file mode 100755
index 0000000..d862b56
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# Bootstrap the repository. Used when the repository is checked out from git.
+# When using the source tarball, running this script is not necessary.
+
+set -eu
+
+if ! git --version >/dev/null; then
+ echo "git not installed"
+ exit 1
+fi
+
+git submodule update --init
+rm -rf configure
+cp build-system/taler-build-scripts/configure ./configure
+# Try making the configure script read-only to prevent
+# accidental changes in the wrong place.
+chmod ogu-w ./configure || true